Page MenuHomePhabricator

Phabricator workboards should have scroll-locked column headers
Closed, ResolvedPublic

Description

When viewing a workboard, and scrolling down, the column headers disappear off the top of the screen. It would be great if the column headers were outside the scrollable area, so you could still tell which column you were looking at. It's especially easy to lose track when you have to scroll left and right.

Currently, the fields above the headers are locked and always visible, which would still be fine.

Event Timeline

ksmith raised the priority of this task from to Needs Triage.
ksmith updated the task description. (Show Details)
ksmith added a project: Phabricator.
ksmith added a subscriber: ksmith.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2015, 7:14 PM
Aklapper triaged this task as Lowest priority.Apr 3 2015, 12:28 PM
Aklapper edited projects, added Phabricator (Upstream); removed Phabricator.
Aklapper set Security to None.

Uploading a screenshot of an example of a board that is very difficult to work with, when the column headers are gone.

This might be nearly-trivial to implement as a simple javascript/css hack

related problem: dragging from a very long column into a nearly empty column is difficult, requiring a drag+scroll+release operation.

mmodell closed this task as Resolved.Feb 18 2016, 4:05 AM
mmodell claimed this task.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:02 PM